@charset "UTF-8";

/* src/assets/fonts/font.scss */
@font-face {
  font-family: "Material Symbols Outlined";
  font-style: normal;
  font-weight: 100 700;
  src: url("./media/Filtered-Material-Outlined-Font-K7VAZEWW.woff2") format("woff2");
}
.material-symbols-outlined {
  font-family: "Material Symbols Outlined";
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  -moz-font-feature-settings: "liga";
  -moz-osx-font-smoothing: grayscale;
}
.material-symbols-outlined.filled {
  font-variation-settings:
    "FILL" 1,
    "wght" 400,
    "GRAD" 0,
    "opsz" 24;
}
@font-face {
  font-family: "Global-font";
  src: url("./media/Marianne-Regular-NSJBMKCO.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: "Global-font";
  src: url("./media/Marianne-Medium-5YG7IPWV.woff2") format("woff2");
  font-weight: 500;
  font-style: normal;
}
@font-face {
  font-family: "Global-font";
  src: url("./media/Marianne-Bold-4TMQAGJZ.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
}

/* src/styles.scss */
.silver-text {
  color: silver;
}
.gray-text {
  color: gray;
}
.white-text {
  color: white;
}
.maroon-text {
  color: maroon;
}
.red-text {
  color: red;
}
.purple-text {
  color: purple;
}
.fuchsia-text {
  color: fuchsia;
}
.green-text {
  color: green;
}
.lime-text {
  color: lime;
}
.olive-text {
  color: olive;
}
.yellow-text {
  color: yellow;
}
.navy-text {
  color: navy;
}
.blue-text {
  color: blue;
}
.teal-text {
  color: teal;
}
.aqua-text {
  color: aqua;
}
.aliceblue-text {
  color: aliceblue;
}
.antiquewhite-text {
  color: antiquewhite;
}
.aquamarine-text {
  color: aquamarine;
}
.azure-text {
  color: azure;
}
.beige-text {
  color: beige;
}
.bisque-text {
  color: bisque;
}
.blanchedalmond-text {
  color: blanchedalmond;
}
.blueviolet-text {
  color: blueviolet;
}
.brown-text {
  color: brown;
}
.burlywood-text {
  color: burlywood;
}
.cadetblue-text {
  color: cadetblue;
}
.chartreuse-text {
  color: chartreuse;
}
.chocolate-text {
  color: chocolate;
}
.coral-text {
  color: coral;
}
.cornflowerblue-text {
  color: cornflowerblue;
}
.cornsilk-text {
  color: cornsilk;
}
.crimson-text {
  color: crimson;
}
.cyan-text {
  color: cyan;
}
.darkblue-text {
  color: darkblue;
}
.darkcyan-text {
  color: darkcyan;
}
.darkgoldenrod-text {
  color: darkgoldenrod;
}
.darkgray-text {
  color: darkgray;
}
.darkgreen-text {
  color: darkgreen;
}
.darkgrey-text {
  color: darkgrey;
}
.darkkhaki-text {
  color: darkkhaki;
}
.darkmagenta-text {
  color: darkmagenta;
}
.darkolivegreen-text {
  color: darkolivegreen;
}
.darkorange-text {
  color: darkorange;
}
.darkorchid-text {
  color: darkorchid;
}
.darkred-text {
  color: darkred;
}
.darksalmon-text {
  color: darksalmon;
}
.darkseagreen-text {
  color: darkseagreen;
}
.darkslateblue-text {
  color: darkslateblue;
}
.darkslategray-text {
  color: darkslategray;
}
.darkslategrey-text {
  color: darkslategrey;
}
.darkturquoise-text {
  color: darkturquoise;
}
.darkviolet-text {
  color: darkviolet;
}
.deeppink-text {
  color: deeppink;
}
.deepskyblue-text {
  color: deepskyblue;
}
.dimgray-text {
  color: dimgray;
}
.dimgrey-text {
  color: dimgrey;
}
.dodgerblue-text {
  color: dodgerblue;
}
.firebrick-text {
  color: firebrick;
}
.floralwhite-text {
  color: floralwhite;
}
.forestgreen-text {
  color: forestgreen;
}
.gainsboro-text {
  color: gainsboro;
}
.ghostwhite-text {
  color: ghostwhite;
}
.gold-text {
  color: gold;
}
.goldenrod-text {
  color: goldenrod;
}
.greenyellow-text {
  color: greenyellow;
}
.grey-text {
  color: grey;
}
.honeydew-text {
  color: honeydew;
}
.hotpink-text {
  color: hotpink;
}
.indianred-text {
  color: indianred;
}
.indigo-text {
  color: indigo;
}
.ivory-text {
  color: ivory;
}
.khaki-text {
  color: khaki;
}
.lavender-text {
  color: lavender;
}
.lavenderblush-text {
  color: lavenderblush;
}
.lawngreen-text {
  color: lawngreen;
}
.lemonchiffon-text {
  color: lemonchiffon;
}
.lightblue-text {
  color: lightblue;
}
.lightcoral-text {
  color: lightcoral;
}
.lightcyan-text {
  color: lightcyan;
}
.lightgoldenrodyellow-text {
  color: lightgoldenrodyellow;
}
.lightgray-text {
  color: lightgray;
}
.lightgreen-text {
  color: lightgreen;
}
.lightgrey-text {
  color: lightgrey;
}
.lightpink-text {
  color: lightpink;
}
.lightsalmon-text {
  color: lightsalmon;
}
.lightseagreen-text {
  color: lightseagreen;
}
.lightskyblue-text {
  color: lightskyblue;
}
.lightslategray-text {
  color: lightslategray;
}
.lightslategrey-text {
  color: lightslategrey;
}
.lightsteelblue-text {
  color: lightsteelblue;
}
.lightyellow-text {
  color: lightyellow;
}
.limegreen-text {
  color: limegreen;
}
.linen-text {
  color: linen;
}
.magenta-text {
  color: magenta;
}
.mediumaquamarine-text {
  color: mediumaquamarine;
}
.mediumblue-text {
  color: mediumblue;
}
.mediumorchid-text {
  color: mediumorchid;
}
.mediumpurple-text {
  color: mediumpurple;
}
.mediumseagreen-text {
  color: mediumseagreen;
}
.mediumslateblue-text {
  color: mediumslateblue;
}
.mediumspringgreen-text {
  color: mediumspringgreen;
}
.mediumturquoise-text {
  color: mediumturquoise;
}
.mediumvioletred-text {
  color: mediumvioletred;
}
.midnightblue-text {
  color: midnightblue;
}
.mintcream-text {
  color: mintcream;
}
.mistyrose-text {
  color: mistyrose;
}
.moccasin-text {
  color: moccasin;
}
.navajowhite-text {
  color: navajowhite;
}
.oldlace-text {
  color: oldlace;
}
.olivedrab-text {
  color: olivedrab;
}
.orange-text {
  color: orange;
}
.orangered-text {
  color: orangered;
}
.orchid-text {
  color: orchid;
}
.palegoldenrod-text {
  color: palegoldenrod;
}
.palegreen-text {
  color: palegreen;
}
.paleturquoise-text {
  color: paleturquoise;
}
.palevioletred-text {
  color: palevioletred;
}
.papayawhip-text {
  color: papayawhip;
}
.peachpuff-text {
  color: peachpuff;
}
.peru-text {
  color: peru;
}
.pink-text {
  color: pink;
}
.plum-text {
  color: plum;
}
.powderblue-text {
  color: powderblue;
}
.rosybrown-text {
  color: rosybrown;
}
.royalblue-text {
  color: royalblue;
}
.saddlebrown-text {
  color: saddlebrown;
}
.salmon-text {
  color: salmon;
}
.sandybrown-text {
  color: sandybrown;
}
.seagreen-text {
  color: seagreen;
}
.seashell-text {
  color: seashell;
}
.sienna-text {
  color: sienna;
}
.skyblue-text {
  color: skyblue;
}
.slateblue-text {
  color: slateblue;
}
.slategray-text {
  color: slategray;
}
.slategrey-text {
  color: slategrey;
}
.snow-text {
  color: snow;
}
.springgreen-text {
  color: springgreen;
}
.steelblue-text {
  color: steelblue;
}
.tan-text {
  color: tan;
}
.thistle-text {
  color: thistle;
}
.tomato-text {
  color: tomato;
}
.turquoise-text {
  color: turquoise;
}
.violet-text {
  color: violet;
}
.wheat-text {
  color: wheat;
}
.whitesmoke-text {
  color: whitesmoke;
}
.yellowgreen-text {
  color: yellowgreen;
}
.sized-50-text {
  font-size: 50%;
}
.sized-55-text {
  font-size: 55%;
}
.sized-60-text {
  font-size: 60%;
}
.sized-65-text {
  font-size: 65%;
}
.sized-70-text {
  font-size: 70%;
}
.sized-75-text {
  font-size: 75%;
}
.sized-80-text {
  font-size: 80%;
}
.sized-85-text {
  font-size: 85%;
}
.sized-90-text {
  font-size: 90%;
}
.sized-95-text {
  font-size: 95%;
}
.sized-100-text {
  font-size: 100%;
}
.sized-105-text {
  font-size: 105%;
}
.sized-110-text {
  font-size: 110%;
}
.sized-115-text {
  font-size: 115%;
}
.sized-120-text {
  font-size: 120%;
}
.sized-125-text {
  font-size: 125%;
}
.sized-130-text {
  font-size: 130%;
}
.sized-135-text {
  font-size: 135%;
}
.sized-140-text {
  font-size: 140%;
}
.sized-145-text {
  font-size: 145%;
}
.sized-150-text {
  font-size: 150%;
}
.sized-155-text {
  font-size: 155%;
}
.sized-160-text {
  font-size: 160%;
}
.sized-165-text {
  font-size: 165%;
}
.sized-170-text {
  font-size: 170%;
}
.sized-175-text {
  font-size: 175%;
}
.sized-180-text {
  font-size: 180%;
}
.sized-185-text {
  font-size: 185%;
}
.sized-190-text {
  font-size: 190%;
}
.sized-195-text {
  font-size: 195%;
}
.sized-200-text {
  font-size: 200%;
}
.sized-205-text {
  font-size: 205%;
}
.sized-210-text {
  font-size: 210%;
}
.sized-215-text {
  font-size: 215%;
}
.sized-220-text {
  font-size: 220%;
}
.sized-225-text {
  font-size: 225%;
}
.sized-230-text {
  font-size: 230%;
}
.sized-235-text {
  font-size: 235%;
}
.sized-240-text {
  font-size: 240%;
}
.sized-245-text {
  font-size: 245%;
}
.sized-250-text {
  font-size: 250%;
}
.sized-255-text {
  font-size: 255%;
}
.sized-260-text {
  font-size: 260%;
}
.sized-265-text {
  font-size: 265%;
}
.sized-270-text {
  font-size: 270%;
}
.sized-275-text {
  font-size: 275%;
}
.sized-280-text {
  font-size: 280%;
}
.sized-285-text {
  font-size: 285%;
}
.sized-290-text {
  font-size: 290%;
}
.sized-295-text {
  font-size: 295%;
}
.sized-300-text {
  font-size: 300%;
}
.sized-305-text {
  font-size: 305%;
}
.sized-310-text {
  font-size: 310%;
}
.sized-315-text {
  font-size: 315%;
}
.sized-320-text {
  font-size: 320%;
}
.sized-325-text {
  font-size: 325%;
}
.sized-330-text {
  font-size: 330%;
}
.sized-335-text {
  font-size: 335%;
}
.sized-340-text {
  font-size: 340%;
}
.sized-345-text {
  font-size: 345%;
}
.sized-350-text {
  font-size: 350%;
}
.sized-355-text {
  font-size: 355%;
}
.sized-360-text {
  font-size: 360%;
}
.sized-365-text {
  font-size: 365%;
}
.sized-370-text {
  font-size: 370%;
}
.sized-375-text {
  font-size: 375%;
}
.sized-380-text {
  font-size: 380%;
}
.sized-385-text {
  font-size: 385%;
}
.sized-390-text {
  font-size: 390%;
}
.sized-395-text {
  font-size: 395%;
}
.sized-400-text {
  font-size: 400%;
}
.sized-405-text {
  font-size: 405%;
}
.sized-410-text {
  font-size: 410%;
}
.sized-415-text {
  font-size: 415%;
}
.sized-420-text {
  font-size: 420%;
}
.sized-425-text {
  font-size: 425%;
}
.sized-430-text {
  font-size: 430%;
}
.sized-435-text {
  font-size: 435%;
}
.sized-440-text {
  font-size: 440%;
}
.sized-445-text {
  font-size: 445%;
}
.sized-450-text {
  font-size: 450%;
}
.sized-455-text {
  font-size: 455%;
}
.sized-460-text {
  font-size: 460%;
}
.sized-465-text {
  font-size: 465%;
}
.sized-470-text {
  font-size: 470%;
}
.sized-475-text {
  font-size: 475%;
}
.sized-480-text {
  font-size: 480%;
}
.sized-485-text {
  font-size: 485%;
}
.sized-490-text {
  font-size: 490%;
}
.sized-495-text {
  font-size: 495%;
}
.sized-500-text {
  font-size: 500%;
}
.italic-text {
  font-style: italic;
}
.oblique-text {
  font-style: oblique;
}
.bold-text {
  font-weight: bold;
}
.underlined-text {
  text-decoration: underline;
}
.padded-ul {
  padding: 12px;
}
.centered-text {
  text-align: center;
}
.left-aligned-text {
  text-align: left;
}
.right-aligned-textt {
  text-align: right;
}
.justified-text {
  text-align: justify;
}
.ol {
  list-style: decimal;
}
html {
  font-size: var(--root-font-size);
}
html,
html body {
  min-height: 100vh;
}
body {
  color: #1B1F53;
}
* {
  font-family: var(--custom-font-family);
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
router-outlet {
  position: absolute;
}
h1 {
  font-size: var(--display-size);
  font-weight: var(--display-weight);
  line-height: ver(--display-line-height);
}
a {
  text-decoration: none;
  color: inherit;
}
p {
  font-size: var(--regular-size);
}
small {
  font-size: var(--small-size);
}
hr.auth-separator {
  border: none;
  background-color: #333;
  color: #333;
  overflow: visible;
  height: 1px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
hr.auth-separator::after {
  content: "ou";
  background: #fff;
  padding: 8px;
  margin-bottom: 4px;
}
.button-img {
  padding: 0;
}
.button-with-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
}
.primary {
  background-color: var(--primaryBackgroundColor);
  color: var(--primaryTextColor);
}
.primary-light,
.primary-light:active,
.primary-light:focus {
  border: none;
  color: var(--primaryTextColorLight) !important;
  background-color: var(--primaryColorLight) !important;
}
.primary-light:hover,
.primary-light:active:hover,
.primary-light:focus:hover {
  border-color: transparent !important;
  background-color: var(--primaryColorLightDarker) !important;
  color: var(--primaryTextColorLight) !important;
}
.primary-border {
  border-color: var(--primaryBackgroundColor);
  color: var(--primaryBackgroundColor);
  background-color: transparent;
}
.accessibility-button {
  border-color: var(--primaryColorLight);
}
.button-external {
  color: var(--primaryTextColorLight);
  background-color: var(--primaryBackgroundColorLight);
  border: none;
}
.button-external:hover,
.button-external:active {
  color: var(--primaryTextColorLight);
  background-color: color-mix(in srgb, var(--primaryBackgroundColorLight) 95%, black 5%);
}
.button-external.on-side-bar {
  padding: 12px 24px;
}
.step-button {
  padding: 6px 16px;
}
.home-button {
  padding: 6px 42px;
}
p-dropdown[arialabel*=".language-selector"]:has(.p-dropdown-trigger:nth-child(2)) {
  display: none;
}
@media screen and (max-width: 1024px) {
  :root {
    --display-size: 2rem;
    --display-line-height: 42px;
  }
}
@media screen and (max-width: 425px) {
  :root {
    --root-font-size: 1rem;
  }
}
@media screen and (min-width: 769px) {
  app-auth > app-footer > footer {
    width: calc(50% + 4.2rem);
    margin-left: auto;
    justify-content: left !important;
  }
  app-auth > app-footer > footer > app-link:first-child {
    margin-right: 1rem;
  }
}

* Centrer le texte */
.centered-text {
	text-align: center
}

/* Justifier le texte */
.justified-text {
	text-align: justify
}

/* Masquer les espaces prévus pour les textes dans le formulaire de connexion s'il n'y en a pas */
app-description-as-html:has(> div:empty) {
	display: none;
}

/* Rendre les boutons désactivés visiblement désactivés */
:not(.selected-choice-button) > .p-disabled, .p-component:disabled* {
	filter: saturate(.5) contrast(.5) brightness(1.33)
}

/* Masquer la liste déroulante des langues s'il n'y en a qu'une */
p-dropdown[arialabel*=".language-selector"]:not([ng-reflect-options*=","]) {
	display: none
}

/* Décaler le pied de page un peu à droite pour que "Mentions légales" ne soit pas à moitié sur le fond bleu */
@media screen and (min-width: 769px) {
	app-auth > app-footer > footer {
		width: calc(50% + 3.5rem);
		margin-left: auto;
		justify-content: left !important
	}
	app-auth > app-footer > footer > app-link:first-child {
		margin-right: .3rem
	}
}

/* Uniformiser les marges autour du logo dans l'en-tête */
app-header > .title-container {
	gap: 24px !important
}
app-header a:has(img[src="./assets/img/logo/Logo_SACD"]) {
	display: none
}

/* Uniformiser les marges entre les élections CSE et les élections FPP */
[ng-reflect-current-step-index="2"] + div {
	margin: 0 39px;
	padding: 0px
}

/* Uniformiser les ombres */
app-election-card,
app-list-card > button,
app-race-grouping .motion,
.title-container ~ .section-container > section {
	box-shadow: 0 2px 8px rgba(27, 31, 83, .07), 0 4px 16px rgba(27, 31, 83, .07), 0 8px 32px rgba(27, 31, 83, .07), 0 16px 64px rgba(27, 31, 83, .07) !important
}

/* Restaurer les marges par défaut (sauf la première et la dernière) des balises dans les textes personnalisables (sauf dans l'en-tête) */
main app-description-as-html * {
	margin: revert;
	padding: revert
}
main app-description-as-html > div > *:first-child, main app-description-as-html > div > *:first-child:last-child > *:first-child {
	margin-top: 0;
	padding-top: 0
}
main app-description-as-html > div > *:last-child, main app-description-as-html > div > *:first-child:last-child > *:last-child {
	margin-bottom: 0;
	padding-bottom: 0
}

/* Restaurer la taille de la police des paragraphes dans les textes personnalisables */
app-description-as-html p {
	font-size:revert
}

/* Améliorer l'accessibilité des paramètres d'accessibilité */
@media screen and (min-width: 425px) {
	app-accessibility {
		min-width: unset !important;
	}
	app-accessibility h1, app-accessibility tr {
		margin-bottom: 20px !important
	}
	app-accessibility tr {
		flex-direction: column
	}
	app-accessibility td {
		width: calc(100% - 40px) !important;
		text-align: center
	}
	app-accessibility hr {
		width: 24px !important;
		height: 24px !important;
		border: 1.375rem solid #FFF !important;
		margin-left: calc(-1.375rem - 12px) !important;
		z-index: 0 !important;
		box-sizing: content-box
	}
	app-accessibility app-slider-with-step > span {
		pointer-events: none
	}
}

/* Agrandir la largeur du champ e-mail pour la confirmation du vote */
[ng-reflect-current-step-index="2"] + div .input-email {
	flex-grow: 1
}

* Forcer l'alignement à gauche des noms des candidats */
.choice .p-button {
	text-align: left !important
}

/* Ajouter un espace sous le titre de la résolution et sous "Votes exprimés x/y" */
app-race-grouping .header > * {
	margin-bottom: 20px
}

/* Aligner le titre des résolutions en haut à gauche du conteneur */
app-race-grouping .header {
	align-items: normal !important
}

/* Centrer et ajouter une marge sous "Confirmation des votes" et le déplacer en haut de la page de validation en cas d'affichage compact */
app-check > h2 {
	width: 100%;
	text-align: center;
	/*margin-bottom: 24px*/
}
[ng-reflect-current-step-index="2"] + div > app-check > .title-container, app-check > h2 {
	order: -1
}

/* Ajouter une marge sous les références de bulletin */
app-check > .section-container:not(:last-child) {
	margin-bottom: 24px
}

/* Masquer le texte des résolutions sur la page de validation */
[ng-reflect-current-step-index="1"] + div .description-container {
	display: none !important
}

/* Masquer les liens vers les professions de foi et les descriptions sur la page de validation */
[ng-reflect-current-step-index="1"] + div .multipart-button-load {
	display: none !important
}

/* Mettre les candidats sélectionnés en rouge si le nombre maximal est dépassé */
app-motion:has(.count-text-alert) .selected-choice-button {
	--primary-color: rgb(224, 0, 30);
	--primary-color-light: rgb(255, 232, 240)
}

/* Retirer la marge au-dessus du titre sur la page de connexion */
app-auth .title-container {
	margin-top: 0px !important
}

/* Masquer le menu des scrutins */
app-side-bar {
	display: none
}

/* Masquer le bouton "Accueil" sur la page de bulletin */
app-link[styleclass*="home-button"]:first-child:not(:last-child) {
	display: none
}

/* Centrer et réduire la largeur du formulaire pour recevoir la preuve de vote en cas d'affichage compact */
.compact-display-send-proof-container {
	max-width: 64em;
	margin: auto
}

.info-container {
  margin: auto !important;
  width: auto!important;
}

app-check > .info-container {
	width: auto;
}
/* angular:styles/global:styles */
